Subject: bug#33709: Hang when compiled with --coverage and gcc 7.3

From: Paul Eggert <[email-masked]>
Date: Thu, 27 Dec 2018 20:06:56 -0800

I'm surprised that --coverage ever worked in a dumped emacs. I think libgcov 
uses the dynamic linker's malloc (so Emacs has *three* malloc implementations) 
and our trick for switching from the Emacs malloc in temacs to the system malloc 
in bootstrap-emacs won't work for memory allocated for --coverage. 
Unfortunately, the libgcov actions do not seem to be easy to disable in temacs 
and re-enable in bootstrap-emacs.

I suggest that we just say this combination isn't supported; if you want to 
build Emacs with gcc --coverage you can configure with CANNOT_DUMP=yes.

If the portable dumper ever gets working, --coverage should be easy to support, 
of course.